{"swagger":"2.0","info":{"version":"v3","title":"3dEye API","description":"# Getting started\r\nEvery API method can be called either by integrator or customer. This methods are marked with corresponding tags [Integrator] or [Customer]. Methods that don't require authorization marked with [Anonymous] tag.\r\n\r\nOn attempt to make an unauthorized request, you will get a response with status 401 (Unauthorized).\r\n\r\nEvery API request is authorized by API key and access token which should be sent in request headers. \r\nYou can obtain API key in Admin panel while access token is obtained using auth/token method. If either token or key is omitted or invalid you will get response with status 403 (Forbidden). See the example below for details.\r\nOn attempt to make an unauthorized request, you will get a response with status 401 (Unauthorized).\r\n\r\nEvery API request is authorized by API key and access token which should be sent in request headers. \r\nYou can obtain API key in Admin panel while access token is obtained using auth/token method. If either token or key is omitted or invalid you will get response with status 403 (Forbidden). See the example below for details.\r\n\r\n### Request to get access token\r\n\r\n```\r\n    curl --location --request POST \"https://staging.3deye.me/webapi/v3/auth/token\"\r\n\t--header \"accept: application/json\"\r\n  \t--header \"Content-Type: application/json\"\r\n  \t--header \"x-api-key: E73zF1Cdsl4nyGG7Q0nRN713mD6d0OmO89R61v3c\"\r\n  \t--data \"{\r\n\t    \"username\": \"integrator\",\r\n\t    \"password\": \"passwordExample\"\r\n\t}\"\r\n```\r\n\r\n#### Response example:\r\n\r\n```\r\n{\r\n    \"accessToken\": \"5RR1PBrDLp4hjYayzZLtL6p0FZKPs4hsJRTAj_oYcg3Hp11uIVfF-H18QILBFuN0qIMjOFGhF3cD-_DCHnM89A9jZELEQ3smK9nyFneVf4thi4TDAbFXETBBtsg1wiDsUhhQaYctGIxHYKSQYjOz9OD4qBuDZs1WRy9fNvT5zA7UzuvvLBHPdxJgxc0LgdYM8dH36UAw8WO5oGHTZ6cmaPnNMWS3b9PDJFRZc5iprCZ0tX65A6yr5BcCaxKxlFitymCfbNZI259QHPZNHWVl4efOlHVM99e-or_eQUO33hGhHN63INdtFrxobGaM2Xp0dUiFwswY4ck2iY0-TITa57SmXv3CH6hqMjKFYjtRCER4HcWWK1BfAzQKY4htQXsYOMffIqgpB0iNrKtnpH6Ti95KR8g\",\r\n\t\"tokenType\": \"bearer\",\r\n\t\"expiresIn\": 1800,\r\n\t\"refreshToken\": \"22c3241c4f41447ca9df4a566a4445d3\",\r\n\t\"clientId\": \"ExternalApi\",\r\n\t\"userName\": \"integrator\",\r\n\t\"accessTokenIssued\": \"Mon, 18 Nov 2019 09:53:22 GMT\",\r\n\t\"accessTokenExpires\": \"Mon, 18 Nov 2019 10:23:22 GMT\",\r\n\t\"refreshTokenIssued\": \"Mon, 18 Nov 2019 09:53:22 GMT\",\r\n\t\"refreshTokenExpires\": \"Mon, 09 Dec 2019 09:53:22 GMT\"\r\n}\r\n```\r\n\r\nThen you should use `accessToken` value from this response in requests header Authorization `Bearer {accessToken}`.\r\n\r\n### Example receiving billing plans for integrator:\r\n\r\n```\r\n    curl --location --request GET \"https://staging.3deye.me/webapi/v3/integrator/plans\"\r\n    --header \"Content-Type: application/json\"\r\n    --header \"x-api-key: E73zF1Cdsl4nyGG7Q0nRN713mD6d0OmO89R61v3c\"\r\n    --header \"Authorization: Bearer 5RR1PBrDLp4hjYayzZLtL6p0FZKPs4hsJRTAj_oYcg3Hp11uIVfF-H18QILBFuN0qIMjOFGhF3cD-_DCHnM89A9jZELEQ3smK9nyFneVf4thi4TDAbFXETBBtsg1wiDsUhhQaYctGIxHYKSQYjOz9OD4qBuDZs1WRy9fNvT5zA7UzuvvLBHPdxJgxc0LgdYM8dH36UAw8WO5oGHTZ6cmaPnNMWS3b9PDJFRZc5iprCZ0tX65A6yr5BcCaxKxlFitymCfbNZI259QHPZNHWVl4efOlHVM99e-or_eQUO33hGhHN63INdtFrxobGaM2Xp0dUiFwswY4ck2iY0-TITa57SmXv3CH6hqMjKFYjtRCER4HcWWK1BfAzQKY4htQXsYOMffIqgpB0iNrKtnpH6Ti95KR8g\"                                   \t\r\n```\r\n### Responses\r\n\r\nA response status of 2xx indicates the operation was successful. Other error codes indicate either a client error (4xx) or a server error (5xx).\r\n\r\n#### Models for error responses\r\n\r\n##### 400: Request error\r\n\r\n```\r\n{\r\n  \"message\": \"Error message\",\r\n  \"code\": \"Error code\"\r\n}\r\n```\r\n\r\n##### 404: Request error\r\n\r\n```\r\n{\r\n  \"errors\": {\r\n  \t  {\r\n  \t\t\"message\": \"Error message\",\r\n  \t\t\"code\": \"Error code\"\r\n  \t  } \t\r\n  }\r\n}\r\n```\r\n\r\n##### 401, 403: Unauthorized, Forbidden error\r\n\r\n```\r\n{\r\n\t\"errors\": {\r\n\t  {\r\n\t\t\"message\": \"Error message\",\r\n\t\t\"code\": \"Error code\"\r\n\t  } \t\r\n\t}\r\n}\r\n```\r\n\r\n##### 422: Validation error\r\n\r\n```\r\n{\r\n\t\"errors\": {\r\n\t  {\r\n\t\t\"message\": \"Error message\",\r\n\t\t\"code\": \"Error code\"\r\n\t  } \t\r\n\t}\r\n}\r\n```\r\n\r\n##### 500 Server side error\r\n\r\n```\r\n{\r\n  \"errors\": {\r\n  \t  {\r\n  \t\t\"message\": \"Error message\",\r\n  \t\t\"code\": \"Error code\"\r\n  \t  } \t\r\n  }\r\n}\r\n```\r\n\r\n### Code generation\r\n\r\nFor generation code based on documentation you are able to use:\r\n\r\n[Swagger codegen](https://swagger.io/tools/swagger-codegen/)\r\n\r\n[NSwag](https://github.com/RicoSuter/NSwag)\r\n"},"host":"staging.3deye.me","basePath":"/webapi","schemes":["https"],"paths":{"/v3/auth/token":{"post":{"tags":["Auth"],"summary":"[Anonymous] Method to retrieve access token.","operationId":"Auth_Token","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"authTokenRequest","in":"body","description":"input data for token","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Auth.AuthTokenRequest"}}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationToken"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationTokenError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationTokenError"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationTokenError"}},"409":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationTokenError"}},"422":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}}}}},"/v3/auth/refresh-tokens":{"get":{"tags":["Auth"],"operationId":"Auth_TokensList","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"clientId","in":"query","required":true,"type":"string"},{"name":"refreshToken","in":"query","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"type":"array","items":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Auth.RefreshTokenToKick"}}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationTokenError"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}}}},"delete":{"tags":["Auth"],"operationId":"Auth_Delete","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"query","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Auth.RefreshTokenToKick"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.Token.AuthorizationTokenError"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"type":"string"}},"500":{"description":"","schema":{"type":"string"}}}}},"/v3/oauth/client/new":{"post":{"tags":["OAuth"],"summary":"[Integrator] Method for registration OAuth clients.","operationId":"OAuth_Register","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"newClient","in":"body","description":"input data for OAuth Client","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.OAuth.NewClient"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.OAuth.OAuthClient"}},"400":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}},"403":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}},"409":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}},"422":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/CommonStructures.ReactiveApiModels.ApiError"}}}}},"/v3/customers/{id}/alerts/state":{"get":{"tags":["Alert"],"summary":"[Integrator] Get alert arm state.","description":"If customerId is null, will uses customerId for current user","operationId":"Alert_IntegratorGetArmState","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"Customer Id","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Alert.ArmStateResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["Alert"],"summary":"[Integrator] Set new arm state.","description":"If customerId is null, will uses customerId for current user","operationId":"Alert_IntegratorSetArmState","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"alertState","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Alert.SetAlertState"}},{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Alert.ArmStateResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/alerts/state":{"get":{"tags":["Alert"],"summary":"[Customer] Get alert arm state.","description":"If customerId is null, will uses customerId for current user","operationId":"Alert_CustomerGetArmState","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Alert.ArmStateResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["Alert"],"summary":"[Customer] Set new arm state.","description":"If customerId is null, will uses customerId for current user","operationId":"Alert_CustomerSetArmState","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"alertState","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Alert.SetAlertState"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Alert.ArmStateResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/api-key":{"get":{"tags":["ApiKeys"],"summary":"[Integrator] Get API key","operationId":"ApiKeys_GetCustomerApiKey","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.ApiKeys.ApiKey"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/{cameraId}/archives":{"get":{"tags":["Archive"],"summary":"[Customer] Get archives","operationId":"Archive_CustomerGetCustomerArchives","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"from","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"to","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Archive.ArchiveChunk]"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}/archives":{"get":{"tags":["Archive"],"summary":"[Integrator] Get archives","operationId":"Archive_IntegratorGetArchives","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"from","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"to","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Archive.ArchiveChunk]"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/plans":{"get":{"tags":["BillingPlan"],"summary":"[Integrator] Get billing plans.","operationId":"BillingPlan_GetPlans","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"Array of billing plans","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.BillingPlan.Plan]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/plans/{id}/assign_to_camera":{"put":{"tags":["BillingPlan"],"summary":"[Integrator] Assign a billing plan to a camera.","operationId":"BillingPlan_AssignBillingPlan","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"planForAssignment","in":"body","description":"Plan for assignment","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.BillingPlan.PlanForAssignment"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"Plan Id","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.MessageApiResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/plans/{id}":{"get":{"tags":["BillingPlan"],"summary":"[Integrator] Single billing plan","operationId":"BillingPlan_GetPlan","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"Billing plan","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.BillingPlan.Plan"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/brandings/portal":{"get":{"tags":["Brandings"],"operationId":"Brandings_GetBrandingByUrl","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"url","in":"query","required":false,"type":"string"},{"name":"widgetId","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/brandings/domain/{name}/new":{"post":{"tags":["Brandings"],"summary":"Create configs for domain","operationId":"Brandings_NewDomainConfig","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"name","in":"path","description":"","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras":{"get":{"tags":["Camera"],"summary":"[Integrator] List Cameras","description":"If customerId is null, returns camera for current user","operationId":"Camera_IntegratorGetCameras","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"Customer Id","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras":{"get":{"tags":["Camera"],"summary":"[Integrator,Customer] List Cameras","operationId":"Camera_CustomerGetCameras","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}":{"get":{"tags":["Camera"],"summary":"[Integrator] Get camera","operationId":"Camera_IntegratorGetCamera","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["Camera"],"summary":"[Integrator] Update camera","operationId":"Camera_IntegratorUpdate","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"camera","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.UpdateCamera"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"delete":{"tags":["Camera"],"summary":"[Integrator] Delete camera","description":"If customerId is null, it will user customerId of current user","operationId":"Camera_IntegratorDelete","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/{id}":{"get":{"tags":["Camera"],"summary":"[Customer] Get camera","operationId":"Camera_CustomerGetCamera","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["Camera"],"summary":"[Customer] Update camera","operationId":"Camera_CustomerUpdate","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"camera","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.UpdateCamera"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"delete":{"tags":["Camera"],"summary":"[Customer] Delete camera","description":"If customerId is null, it will user customerId of current user","operationId":"Camera_CustomerDelete","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/pnp/search/{registrationCode}":{"get":{"tags":["Camera"],"summary":"[Customer] Search PnP camera by registration code","operationId":"Camera_CustomerSearchPnPCamera","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"registrationCode","in":"path","description":"","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/pnp/search/{registrationCode}":{"get":{"tags":["Camera"],"summary":"[Integrator] Search PnP camera by registration code","operationId":"Camera_IntegratorSearchPnPCamera","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"registrationCode","in":"path","description":"","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/search/{serialNumber}":{"get":{"tags":["Camera"],"summary":"[Customer] Search camera by serial number","operationId":"Camera_CustomerSearchCameraBySerialNumber","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"serialNumber","in":"path","description":"","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/search/{serialNumber}":{"get":{"tags":["Camera"],"summary":"[Integrator] Search camera by serial number","operationId":"Camera_IntegratorSearchCameraBySerialNumber","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"serialNumber","in":"path","description":"","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}/state":{"get":{"tags":["Camera"],"summary":"[Integrator] Camera state","operationId":"Camera_IntegratorGetCameraState","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CameraStateResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/{id}/state":{"get":{"tags":["Camera"],"summary":"[Customer] Camera state","operationId":"Camera_CustomerGetCameraState","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CameraStateResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/generic/create":{"post":{"tags":["Camera"],"summary":"[Integrator, Customer] Register generic camera","operationId":"Camera_CreateGeneric","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"camera","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CreateGenericCamera"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/onvif/create":{"post":{"tags":["Camera"],"summary":"[Integrator, Customer] Register ONVIF camera","operationId":"Camera_CreateOnvif","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"camera","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CreateOnvifCamera"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/pnp/create":{"post":{"tags":["Camera"],"summary":"[Integrator, Customer] Register Plug and Play camera","operationId":"Camera_CreateP2P","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"camera","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CreateP2PCamera"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.Camera"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}/assign":{"put":{"tags":["Camera"],"summary":"[Integrator] Assign camera to customer","operationId":"Camera_AssignCustomer","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"New customer data","required":true,"type":"integer","format":"int32"},{"name":"assignCameraCustomer","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.AssignCameraCustomer"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Models.Cameras.AssignResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}/unassign":{"put":{"tags":["Camera"],"summary":"[Integrator] Unassign camera","operationId":"Camera_UnAssignCustomer","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"New customer data","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Models.Cameras.AssignResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}/pnp-url":{"get":{"tags":["Camera"],"summary":"[Integrator] Get PnP camera URL","operationId":"Camera_IntegratorGetPnPCameraUrl","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CameraProxyUrl"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/{id}/pnp-url":{"get":{"tags":["Camera"],"summary":"[Customer] Get PnP camera URL","operationId":"Camera_CustomerGetPnPCameraUrl","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Camera.CameraProxyUrl"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers":{"get":{"tags":["Customer"],"summary":"[Integrator] List customers","operationId":"Customer_GetCustomers","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[Eye3d.SecurityWebApi.Contracts.Customer.CustomerDtoInfoIntegrator]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/System.Web.Http.Results.NotFoundResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"post":{"tags":["Customer"],"summary":"[Integrator] Create customer","operationId":"Customer_Create","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"input","in":"body","description":"New customer data","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.Models.Customers.CustomerCreationInput"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.Models.Customers.CustomerCreationResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}":{"get":{"tags":["Customer"],"summary":"[Integrator] Customer","operationId":"Customer_Get","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Customer.Customer"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/System.Web.Http.Results.NotFoundResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["Customer"],"summary":"[Integrator] Update a customer","operationId":"Customer_Update","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"updateCustomer","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Customer.UpdateCustomer"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.EmptyApiResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/System.Web.Http.Results.ExceptionResult"}}}},"delete":{"tags":["Customer"],"summary":"[Integrator] Delete a customer","operationId":"Customer_Delete","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Customer.Customer"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/System.Web.Http.Results.ExceptionResult"}}}}},"/v3/customers/{id}/set-enabled":{"put":{"tags":["Customer"],"summary":"[Integrator] Enable/Disable a customer","operationId":"Customer_SetEnabled","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"status","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Customer.EnabledDisabled"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Customer.EnabledDisabled"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/System.Web.Http.Results.ExceptionResult"}}}}},"/v3/events/camera":{"get":{"tags":["Event"],"summary":"[Integrator, Customer] Get events for camera.","operationId":"Event_GetEventsForCamera","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"cameraId","in":"query","description":"","required":true,"type":"integer","format":"int32"},{"name":"from","in":"query","description":"","required":true,"type":"string"},{"name":"to","in":"query","description":"","required":true,"type":"string"},{"name":"type","in":"query","description":"","required":true,"type":"string"},{"name":"subType","in":"query","description":"","required":false,"type":"string","enum":["Car","Animal","Person"]},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Event.Event]"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/events":{"post":{"tags":["Event"],"summary":"[Integrator, Customer] Add event","operationId":"Event_CreateEvent","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"newEvent","in":"body","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Event.NewEvent"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Event.EventCreationResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/events/{deviceId}/new":{"get":{"tags":["Event"],"summary":"[Integrator, Customer] Add event\r\nTemporary endpoint for testing","operationId":"Event_NewEvent","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"deviceId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"type","in":"query","required":true,"type":"string"},{"name":"data","in":"query","required":true,"type":"string"},{"name":"apiKey","in":"query","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Event.EventCreationResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/events/new":{"post":{"tags":["Event"],"summary":"[Integrator, Customer] Add event\r\nTemporary endpoint for testing","operationId":"Event_NewEvent","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"newEvent","in":"body","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Event.NewEvent"}},{"name":"apiKey","in":"query","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Event.EventCreationResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/layouts":{"get":{"tags":["Layout"],"summary":"[Integrator, Customer] Get cameras layouts","operationId":"Layout_GetCamerasLayouts","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Layout.PossibleGrid]"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/requests":{"get":{"tags":["Requests"],"operationId":"Requests_GetRequestResult","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.BackgroundWork.RequestResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles":{"get":{"tags":["Role"],"summary":"[Integrator, Customer] List existing roles","operationId":"Role_GetList","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Controllers.RoleController.RoleResult]"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"post":{"tags":["Role"],"summary":"[Customer] Create a new role","operationId":"Role_Create","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.CustomerNewRole"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Controllers.RoleController.RoleResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/roles":{"get":{"tags":["Role"],"summary":"[Integrator] List customer roles","operationId":"Role_GetList","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Controllers.RoleController.RoleResult]"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"post":{"tags":["Role"],"summary":"[Integrator] Create a new role","operationId":"Role_IntegratorCreate","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.IntegratorNewRole"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Controllers.RoleController.RoleResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/users/{id}/roles":{"get":{"tags":["Role"],"summary":"[Integrator, Customer] List user roles","operationId":"Role_GetListForUser","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Controllers.RoleController.RoleResult]"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles/{id}/users":{"get":{"tags":["Role"],"summary":"[Integrator, Customer] List users with a specific role","operationId":"Role_RoleUsers","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V2.Models.Roles.RoleUserRm]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles/{id}":{"get":{"tags":["Role"],"summary":"[Integrator, Customer] Get role by id","operationId":"Role_GetRole","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.Role"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"delete":{"tags":["Role"],"summary":"[Integrator, Customer] Delete a role","operationId":"Role_Delete","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.Role"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles/{id}/user":{"put":{"tags":["Role"],"summary":"[Customer] Grant a role to a user","operationId":"Role_GrantUser","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"user","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.GrantUser"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.ChangeRoleResult"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"delete":{"tags":["Role"],"summary":"[Integrator, Customer] Revoke a role from a user","operationId":"Role_DismissUser","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"user","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.RevokeUser"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.ChangeRoleResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles/{id}/cameras":{"get":{"tags":["Role"],"summary":"[Integrator, Customer] Get cameras with a specific role","operationId":"Role_RoleCameras","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Controllers.RoleController.RoleCamerasResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles/{id}/camera":{"put":{"tags":["Role"],"summary":"[Integrator, Customer] Grant a role to a camera","operationId":"Role_GrantToCamera","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.AssignCameraRole"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.AssignCameraRole"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"delete":{"tags":["Role"],"summary":"[Integrator, Customer] Revoke a role from a camera","operationId":"Role_DismissCamera","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"camera","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Role.RevokeCamera"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.EmptyApiResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/roles/camera/{cameraId}":{"get":{"tags":["Role"],"summary":"[Integrator, Customer] Get role for camera","operationId":"Role_GetCameraRoles","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"cameraId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V3.Models.Role.Role]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/share":{"post":{"tags":["Share"],"summary":"[Integrator, Customer] Share camera","operationId":"Share_Share","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"sharing","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Models.Sharings.ShareSecurablesRm"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Controllers.SharingsController.SharingResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/share":{"post":{"tags":["Share"],"summary":"[Integrator, Customer] Share camera","operationId":"Share_IntegratorShare","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"sharing","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Models.Sharings.ShareSecurablesRm"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Controllers.SharingsController.SharingResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/sharedclip/clip":{"post":{"tags":["SharedClip"],"operationId":"SharedClip_CheckClip","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"checkClipInput","in":"body","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Models.SharedClip.CheckClipInput"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/v3/customers/{id}/statistics":{"get":{"tags":["Statistic"],"summary":"[Integrator] Get statistics for customer","operationId":"Statistic_IntegratorChartStatistics","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[Eye3d.SecurityWebApi.Domain.Services.Statistics.ChartsData]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/statistics":{"get":{"tags":["Statistic"],"summary":"[Customer] Get statistics for customer","operationId":"Statistic_CustomerChartStatistics","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[Eye3d.SecurityWebApi.Domain.Services.Statistics.ChartsData]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/cameras/{cameraId}/statistics":{"get":{"tags":["Statistic"],"summary":"[Integrator] Get statistics for camera","operationId":"Statistic_IntegratorGetCameraStatistics","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"Camera Id","required":true,"type":"integer","format":"int32"},{"name":"startTime","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"endTime","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"cameraId","in":"path","description":"Customer Id","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Statistic.Statistic"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/{id}/statistics":{"get":{"tags":["Statistic"],"summary":"[Customer] Get statistics for camera","operationId":"Statistic_CustomerGetCameraStatistics","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"Camera Id","required":true,"type":"integer","format":"int32"},{"name":"startTime","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"endTime","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.Statistic.Statistic"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/cameras/{id}/thumbnails":{"get":{"tags":["Thumbnail"],"summary":"[Integrator, Customer] Get thumbnails","operationId":"Thumbnail_GetThumbnailsInfo","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"from","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"to","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"count","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}}}}},"/v3/users":{"get":{"tags":["User"],"summary":"[Customer] Get users list","operationId":"User_GetUsersList","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V2.Models.Users.User]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"post":{"tags":["User"],"summary":"[Customer] Create user","operationId":"User_CustomerCreate","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.User.CustomerCreateUser"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Controllers.UserController.UserResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"409":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/customers/{id}/users":{"get":{"tags":["User"],"summary":"[Integrator] Get users list","operationId":"User_IntegratorGetUsersList","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V2.Models.Users.User]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"post":{"tags":["User"],"summary":"[Integrator] Create user","operationId":"User_IntegratorCreate","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.User.CustomerCreateUser"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Controllers.UserController.UserResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"409":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/users/{id}":{"get":{"tags":["User"],"summary":"[Integrator, Customer] Get users or user by id","operationId":"User_GetUsers","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"Optional user id","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V2.Models.Users.User]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["User"],"summary":"[Integrator, Customer] Update user","operationId":"User_EditUser","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"string"},{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.User.CustomerEditUser"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Models.Users.User"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"409":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"delete":{"tags":["User"],"summary":"[Integrator, Customer] Delete user","operationId":"User_Delete","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V2.Models.Users.User"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"404":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/users/password/reset":{"post":{"tags":["User"],"summary":"[Anonymous] Reset user password","operationId":"User_ForgotPassword","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.Models.ForgotPasswordRm"}},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"202":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.MessageApiResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/users/password":{"put":{"tags":["User"],"summary":"[Integrator, Customer] Change user password","operationId":"User_ChangePassword","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.Models.ChangePasswordRm"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"type":"string"}},"400":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/managers":{"get":{"tags":["User"],"summary":"[Integrator] Get managers list","operationId":"User_GetManagersList","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V2.Models.Users.User]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"post":{"tags":["User"],"summary":"[Integrator] Create manager","operationId":"User_IntegratorCreateManager","consumes":["application/x-www-form-urlencoded","application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Models.User.IntegratorCreateManager"}},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Areas.Api.V3.Controllers.UserController.UserResult"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"409":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"422":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}}},"/v3/managers/{id}":{"get":{"tags":["User"],"summary":"[Integrator] Get manager id","operationId":"User_GetManager","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"id","in":"path","description":"Manager id","required":true,"type":"string"},{"name":"Authorization","in":"header","description":"Access token","required":true,"type":"string"},{"name":"x-api-key","in":"header","description":"Api key","required":true,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.CollectionResult[SecurityWebApi.Host.Areas.Api.V2.Models.Users.User]"}},"401":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"403":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.Results.ErrorApiResult"}},"500":{"description":"","schema":{"$ref":"#/definitions/SecurityWebApi.Host.Infrastructure.Api.ApiError"}}}},"put":{"tags":["User"],"summary":"[Integrator] Update manager","operatio
[...]
